## PATH

set -x PATH $PATH ~/.local/bin ~/.go/bin ~/.npm/bin
set -x EDITOR nvim

## SSH init
set -x SSH_AUTH_SOCK $XDG_RUNTIME_DIR/ssh-agent.socket
for f in (ls $HOME/.ssh/*.pub);
  set -l priv (string replace '.pub' '' $f);
  if not contains $priv (ssh-add -l | awk '{ print $3 }')
    ssh-add $priv >/dev/null 2>&1
  end
end

## Go utils
set -x GOPATH ~/.go

